package com.gic.haoban.manage.service.pojo;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;

/**
 * Created 2020/5/27.
 *
 * @author hua
 */
public class ClerkSyncPojo extends BinlogBasePojo {
    @JSONField(name = "clerk_id")
    private String clerkId;

    @JSONField(name = "storeId")
    private String storeId;

    @JSONField(name = "clerk_code")
    private String clerkCode;

    @JSONField(name = "enterprise_id")
    private String enterpriseId;

    private Integer status;

    private Integer oldStatus;

    public Integer getOldStatus() {
        return oldStatus;
    }

    public void setOldStatus(Integer oldStatus) {
        this.oldStatus = oldStatus;
    }

    public ClerkSyncPojo() {
        prefix="clerk";
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
